Archive for the ‘Informatique’ Category

Installation Notes 9.0.1 pour Ubuntu 14.04 (32bits)

Après quelques essais, je recommande d’utiliser une version Ubuntu 32 bits (comme le super fork Voyager X2) et de suivre la procédure IBM suivante :

Notes 9.0.1 Install Guide for Ubuntu 14.04 32-bit LTS :
Prerequisite
Download Notes 9.0.1 installation package, launch Linux shell window and go to the directory of Notes 9.0.1 installation package, then execute following commands to correct those packages which have been deprecated in Ubuntu 14.04:

sudo dpkg -X ibm-notes-9.0.1.i586.deb ./notes
sudo dpkg -e ibm-notes-9.0.1.i586.deb ./notes/DEBIAN
edit decency info from ./notes/DEBIAN/control — change libcupsys2 to libcups2
sudo dpkg -b notes ibm-notes-9.0.1.i586.deb

Install Notes via Command line.
(Note). Do not try to install Notes via GUI. GUI install on Ubuntu 14.04 doesn’t work due to Ubuntu defect
* Step 1~6 are only required before your install Notes on Ubuntu 14.04 at first time, as Notes client has dependencies on some deprecated packages.
1. sudo apt-get install libbonobo2-0
2. sudo apt-get install libbonoboui2-0
3. sudo apt-get install libgconf2-4
4. sudo apt-get install libgnome-desktop-2-17
5. sudo apt-get install libgnomeui-0
6. sudo apt-get install libjpeg62

* Step 7~11 are standard steps to install Notes product on Ubuntu 14.04
7. sudo dpkg -i ibm-notes-9.0.1.i586.deb
8. sudo dpkg -i ibm-activities-9.0.1.i586.deb
9. sudo dpkg -i ibm-sametime-9.0.1.i586.deb
10. sudo dpkg -i ibm-opensocial-9.0.1.i586.deb
11. sudo dpkg -i ibm-feedreader-9.0.1.i586.deb

Pour référence :
IBM : http://www-01.ibm.com/support/docview.wss?uid=swg21671312

Malheureusement, cela n’a pas permit d’installer Notes du 1er coup, voici la liste des dépendances supplémentaires que j’ai du ajouter :
$ sudo apt-get install libart-2.0-2:i386 libasound2:i386 libatk1.0-0:i386 libavahi-client3:i386 libavahi-common3:i386 libavahi-glib1:i386 libbonobo2-0:i386 libbonoboui2-0:i386 libc6:i386 libcairo2:i386 libcanberra0:i386 libcomerr2:i386 libcups2:i386 libdbus-1-3:i386 libdbus-glib-1-2:i386 libexpat1:i386 libffi6:i386 libfontconfig1:i386 libfreetype6:i386 libgail18:i386 libgcc1:i386 libgconf-2-4:i386 libgcrypt11:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgnome2-0:i386 libgnomecanvas2-0:i386 libgnome-keyring0:i386 libgnomeui-0:i386 libgnomevfs2-0:i386 libgnutls26:i386 libgpg-error0:i386 libgssapi-krb5-2:i386 libgtk2.0-0:i386 libhunspell-1.3-0:i386 libice6:i386 libjpeg62:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 libltdl7:i386 libnspr4:i386 libnspr4-0d:i386 libnss3:i386 libnss3-1d:i386 libogg0:i386 liborbit2:i386 libp11-kit0:i386 libpam0g:i386 libpango1.0-0:i386 libpcre3:i386 libpixman-1-0:i386 libpng12-0:i386 libpopt0:i386 libselinux1:i386 libsm6:i386 libstdc++6:i386 libtasn1-6:i386 libtdb1:i386 libuuid1:i386 libvorbis0a:i386 libvorbisfile3:i386 libx11-6:i386 libxau6:i386 libxcb1:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxml2:i386 libxp6:i386 libxrandr2:i386 libxrender1:i386 libxss1:i386 libxt6:i386 libxtst6:i386 zlib1g:i386 libcanberra-gtk-module:i386 libxss1:i386 gtk2-engines-murrine:i386 p11-kit-modules:i386 libp11-kit-gnome-keyring:i386 ttf-xfree86-nonfree gnome-terminal gtk2-engines-pixbuf gtk2-engines-pixbuf:i386 unity-gtk2-module:i386

D’après les sources suivantes :
AskUbuntu (bien complet): https://askubuntu.com/questions/292008/how-to-install-lotus-9
Wiki : Wiki
Wiki ASI Informatique : article en français
https://www.mundotibrasil.com.br/instalando-lotus-notes-9-no-ubuntu32-e-64bits-debian-e-derivados/
Si vous avez un Ubuntu en 64bit, cette article est également à lire : https://iwonthemove.wordpress.com/2013/07/26/ibm-notes-9-0-ubuntu-64/